import { identifier, ws } from './common.js'
import { map, noCaseString, seq, skip } from '../parser.js'
import { SelectedGraph } from './types.js'

const keyword = noCaseString('use')

export const useClause = map(
  ([graph]) => new SelectedGraph(graph),
  seq(skip(keyword), ws, identifier)
)

